Subject: Re: bug#73928: Bug#1080330: coreutils: who no longer works

From: Bruno Haible <[email-masked]>
Date: Mon, 17 Feb 2025 12:50:09 +0100

Arsen Arsenović wrote:
> >> I agree with you that this _looks_like_ as if a user named 'gdm' was logged
> >> in, and thus is misleading. But I don't think this should be fixed in
> >> coreutils. Rather, this is something to work out between systemd-logind
> >> and gdm.
> >
> > OK, but until that's worked out it appears to be better to not use
> > --enable-systemd on Fedora when configuring Coreutils. Likewise for Ubuntu
> > which has the same issue, and I assume Debian is like Ubuntu.
> 
> This is correct, though, there is a session for the user 'gdm', and
> they're taking up tty1.  If you walk up to that computer (you said you
> were using SSH, so I assume you're remote), you'll see GDM running on
> the screen (on one of the virtual TTYs).

If Giovanni De Micheli has an account on this computer, who's output
is ambiguous: you cannot tell whether the real user 'gdm' or the GNOME
display manager is occupying the "seat". I would suggest that, at least,
the GNOME display manager identifies itself as "(gdm)" instead of "gdm".

Bruno